#!/bin/bash

if mountpoint -q /opt/desinfect/signatures ; then
	rsync -avHP /opt/desinfect/signatures/  /desinfect/target/
	exit 0
fi

# Bitdefender
source=/opt/BitDefender-scanner/var/lib/
rsync -avHP "$source" /desinfect/target/desinfect-signatures/bitdefender/
if mountpoint -q /opt/BitDefender-scanner/var/lib/scan ; then
	rm -rf /desinfect/target/desinfect-signatures/bitdefender/scan.orig
	mkdir -p /desinfect/target/desinfect-signatures/bitdefender/scan.orig
	chown -R bitdefender:bitdefender /desinfect/target/desinfect-signatures/bitdefender/scan.orig
elif mountpoint -q /opt/desinfect/signatures ; then 
	echo 'skipping bitdefender sigs, already in the right place'
else
	mv /desinfect/target/desinfect-signatures/bitdefender/scan{,.bak}
	mv /desinfect/target/desinfect-signatures/bitdefender/scan{.orig,}
	mv /desinfect/target/desinfect-signatures/bitdefender/scan{.bak,.orig}
fi

# Kaspersky
if mountpoint -q /var/kl/bases_rd ; then
	source=/var/kl/bases_rd/
else
	source=/var/kl/bases_rd.orig/
fi
rsync -avHP "$source" /desinfect/target/desinfect-signatures/kaspersky/ 

# Avira
source=/AntiVir/
rsync -avHP "$source" /desinfect/target/desinfect-signatures/avira/

# ClamAV
source=/var/lib/clamav/
rsync -avHP "$source" /desinfect/target/desinfect-signatures/clamav/

install -m 0755 backup.sh /desinfect/target/
install -m 0755 restore.sh /desinfect/target/
install -m 0755 userinit.sh /desinfect/target/
mkdir /desinfect/target/config

sync
